# Others

## **Data Source**

These reports are enabled and added by default.

### Account

Table: account

| Column Name         | Data type | Description                                                                                                                |
| ------------------- | --------- | -------------------------------------------------------------------------------------------------------------------------- |
| account\_id         | Integer   | Intentwise Account Id                                                                                                      |
| account\_name       | String    | Intentwise Account Name                                                                                                    |
| organization\_name  | String    | Organization name used within the intentwise                                                                               |
| amazon\_profile\_id | Integer   | Unique amazon Identifier for sellers and vendors referenced by APIs                                                        |
| region              | String    | Account region                                                                                                             |
| country\_code       | String    | Country code of the account                                                                                                |
| currency\_code      | String    | Currency Code  of the account                                                                                              |
| market\_place       | String    | Market place of the account                                                                                                |
| brand\_id           | String    | Identifier for sellers and vendors. Note that this value is not unique and maybe the same across the marketplace.          |
| brand\_type         | String    | The SELLER and VENDOR account types are associated with Sponsored Ads APIs. The AGENCY account type is associated with DSP |
| vendor\_name        | String    | Account name used within the amazon console                                                                                |

### Catalog Master

Table: catalog\_master

Note: This table should be used in conjunction with catalog\_item\_summary. Use **ctlg\_master\_id** as the join condition

| Column Name      | Data type | Description                   |
| ---------------- | --------- | ----------------------------- |
| ctlg\_master\_id | Integer   | Unique Identifier             |
| asin             | String    | Amazon ASIN                   |
| account\_id      | Integer   | Intentwise Account Identifier |
| account\_name    | String    | Intentwise Account Name       |
| updated date     | Date      | Updated Date                  |

### Catalog Item Summary

Table: catalog\_item\_summary

| Column Name                   | Data type | Description                                                                                    |
| ----------------------------- | --------- | ---------------------------------------------------------------------------------------------- |
| id                            | Integer   | Unique Identfier                                                                               |
| brand\_name                   | String    | Name of the brand associated with an Amazon catalog item                                       |
| browse\_node                  | String    | Classification (browse node) associated with an Amazon catalog item.                           |
| color\_name                   | String    | Name of the color associated with an Amazon catalog item.                                      |
| item\_name                    | String    | Name, or title, associated with an Amazon catalog item.                                        |
| manufacturer                  | String    | Name of the manufacturer associated with an Amazon catalog item.                               |
| model\_number                 | String    | Model number associated with an Amazon catalog item.                                           |
| size\_name                    | String    | Name of the size associated with an Amazon catalog item.                                       |
| style\_name                   | String    | Name of the style associated with an Amazon catalog item.                                      |
| ctlg\_master\_id              | Integer   | Key to join with catalog\_master table                                                         |
| account\_id                   | Integer   | Intentwise account identifier                                                                  |
| asin                          | String    | Amazon ASIN                                                                                    |
| website\_display\_group\_name | String    | The display name of the website display group that is associated with the Amazon catalog item. |
| adult\_product                | Boolean   | When true, the Amazon catalog item is intended for an adult audience.                          |
| autographed                   | Boolean   | When true, the Amazon catalog item is autographed.                                             |
| memorabilia                   | Boolean   | When true, the item is classified as memorabilia.                                              |
| trade\_in\_eligible           | Boolean   | When true, the Amazon catalog item is eligible for trade-in.                                   |
| package\_quantity             | Integer   | The quantity of the Amazon catalog item within one package.                                    |
| part\_number                  | String    | The part number that is associated with the Amazon catalog item.                               |
| browse\_display\_name         | String    | Browse Display Name                                                                            |
| website\_display\_group       | String    | The identifier of the website display group that is associated with the Amazon catalog item    |
| release\_date                 | Date      | The earliest date on which the Amazon catalog item can be shipped to customers.                |

### Catalog Item Images

Table: catalog\_item\_images

Note: This table can be used in conjunction with catalog\_item\_summary and catalog\_master. Use **ctlg\_master\_id** as the join condition

| Column Name      | Data Type | Description                                    |
| ---------------- | --------- | ---------------------------------------------- |
| id               | Integer   | Unique Identfier                               |
| variant          | string    | Variant of the image, such as `MAIN` or `PT01` |
| link             | String    | Link, or URL, for the image.                   |
| height           | Integer   | Height of the image in pixels.                 |
| width            | Integer   | Width of the image in pixels.                  |
| ctlg\_master\_id | Integer   | Key to join with catalog\_master table         |
| account\_id      | Integer   | Intentwise account identifier                  |

### Catalog Item Dimension

Table: catalog\_item\_dimension

Dimensions associated with the item in the Amazon catalog

Note: This table has to be used in conjunction with  catalog\_master. Use **ctlg\_master\_id** as the join condition

<table><thead><tr><th width="233">Column Name</th><th width="123">Data type</th><th width="488">Description</th></tr></thead><tbody><tr><td>item_height_value</td><td>Numeric</td><td>Height of an item</td></tr><tr><td>item_height_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>item_length_value</td><td>Numeric</td><td>Length of an item </td></tr><tr><td>item_length_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>item_weight_value</td><td>Numeric</td><td>Weight of an item</td></tr><tr><td>item_weight_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>item_width_value</td><td>Numeric</td><td>Width of an item</td></tr><tr><td>item_width_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>package_height_value</td><td>Numeric</td><td>Height of an package</td></tr><tr><td>package_height_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>package_length_value</td><td>Numeric</td><td>Length of an package</td></tr><tr><td>package_length_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>package_weight_value</td><td>Numeric</td><td>Weight of an package</td></tr><tr><td>package_weight_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>package_width_value</td><td>Numeric</td><td>Width of an package</td></tr><tr><td>package_width_unit</td><td>String</td><td>Measurement unit of the dimension value.</td></tr><tr><td>ctlg_master_id</td><td>Integer</td><td>Key to join with catalog_master table</td></tr><tr><td>account_id</td><td>Integer</td><td>Intentwise account identifier</td></tr></tbody></table>

### Catalog Item Vendor Detail

Table: catalog\_item\_vendor\_detail

Vendor details associated with an Amazon catalog item. Vendor details are available to vendors only.

Note: This table has to be used in conjunction with  catalog\_master. Use **ctlg\_master\_id** as the join condition

<table><thead><tr><th width="290">Column Name</th><th width="108">Data type</th><th width="386">Description</th></tr></thead><tbody><tr><td>brand_code</td><td>String</td><td>Brand code associated with an Amazon catalog item.</td></tr><tr><td>manufacturer_code</td><td>String</td><td>Manufacturer code associated with an Amazon catalog item.</td></tr><tr><td>manufacturer_code_parent</td><td>String</td><td>Parent vendor code of the manufacturer code.</td></tr><tr><td>product_group</td><td>String</td><td>Product group associated with an Amazon catalog item.</td></tr><tr><td>ctlg_master_id</td><td>Integer</td><td>Key to join with catalog_master table</td></tr><tr><td>product_category_display_name</td><td>String</td><td>Display name of the product category</td></tr><tr><td>product_category_value</td><td>String</td><td>Value (code) of the product category </td></tr><tr><td>product_sub_category_display_name</td><td>String</td><td>Display name of the product subcategory</td></tr><tr><td>product_sub_category_value</td><td>String</td><td>Value (code) of the subcategory.</td></tr><tr><td>replenishment_category</td><td>String</td><td>Replenishment category associated with an Amazon catalog item.</td></tr><tr><td>account_id</td><td>Integer</td><td>Intentwise account identifier</td></tr></tbody></table>

### Catalog Item Child Relation

Table: catalog\_item\_child\_relation

Relationship details for an Amazon catalog item.

Note: This table provides information about Parent and child relationship. You can filter on a parent\_asin and fetch all child\_asins.&#x20;

| Column Name           | Data type | Description                                                                                                       |
| --------------------- | --------- | ----------------------------------------------------------------------------------------------------------------- |
| child\_asin           | varchar   | ASINs of the related items that are children of this item.                                                        |
| parent\_asin          | varchar   | ASINs of the related items that are parents of this item.                                                         |
| relation\_type        | varchar   | Type of relationship. Example : "VARIATION"                                                                       |
| variation\_attributes | varchar   | Names of the Amazon catalog item attributes that are associated with the variation theme.                         |
| variation\_theme      | varchar   | Variation theme that indicates the combination of Amazon catalog item attributes that define the variation family |
| variation\_type       | varchar   | Type of Variation                                                                                                 |
| ctlg\_master\_id      | bigint    | Key to join with catalog\_master table                                                                            |
| account\_id           | bigint    | Intentwise Account Identifier                                                                                     |

### Catalog Item Parent Relation

Table: catalog\_item\_parent\_relation

Relationship details for an Amazon catalog item.

Note: This table provides information about Parent and child relationship. You can filter on a child\_asin and fetch all parent\_asins.&#x20;

| Column Name           | Data type | Description                                                                                                       |
| --------------------- | --------- | ----------------------------------------------------------------------------------------------------------------- |
| parent\_asin          | varchar   | ASINs of the related items that are parents of this item.                                                         |
| child\_asin           | varchar   | ASINs of the related items that are children of this item.                                                        |
| relation\_type        | varchar   | Type of relationship. Example : "VARIATION"                                                                       |
| variation\_attributes | varchar   | Names of the Amazon catalog item attributes that are associated with the variation theme.                         |
| variation\_theme      | varchar   | Variation theme that indicates the combination of Amazon catalog item attributes that define the variation family |
| variation\_type       | varchar   | Type of Variation                                                                                                 |
| ctlg\_master\_id      | bigint    | Key to join with catalog\_master table                                                                            |
| account\_id           | bigint    | Intentwise Account Identifier                                                                                     |

### Catalog Item Attribute

Table: catalog\_item\_attributes

Catalog Item Attribute details for an Amazon catalog item.

Note: This table can be used in conjunction with catalog\_item\_summary and catalog\_master. Use **ctlg\_master\_id** as the join condition

| Column Name      | Data type | Description                                                                              |
| ---------------- | --------- | ---------------------------------------------------------------------------------------- |
| attribute\_value | super     | A JSON object containing structured item attribute data that is keyed by attribute name. |
| ctlg\_master\_id | bigint    | Key to join with catalog\_master table                                                   |
| account\_id      | bigint    | Intentwise Account Identifier                                                            |
| asin             | varchar   | ASIN Value                                                                               |

### Catalog Item Classifications

Table: catalog\_item\_classifications

Catalog Item Classification details for an Amazon catalog item.

Note: This table can be used in conjunction with catalog\_item\_summary and catalog\_master. Use **ctlg\_master\_id** as the join condition

| Column Name        | Data type | Description                            |
| ------------------ | --------- | -------------------------------------- |
| classification\_id | varchar   | Identifier of the classification.      |
| display\_name      | varchar   | Display name for the classification.   |
| child\_id          | bigint    | Child ID                               |
| ctlg\_master\_id   | bigint    | Key to join with catalog\_master table |
| account\_id        | bigint    | Intentwise Account Identifier          |
| asin               | varchar   | ASIN Value                             |

### Catalog Item Identifiers

Table: catalog\_item\_identifiers

Catalog Item Identifier details for an Amazon catalog item.

Note: This table can be used in conjunction with catalog\_item\_summary and catalog\_master. Use **ctlg\_master\_id** as the join condition

| Column Name      | Data type | Description                                    |
| ---------------- | --------- | ---------------------------------------------- |
| identifier\_type | varchar   | Type of identifier, such as UPC, EAN, or ISBN. |
| identifier       | varchar   | Identifier of the item.                        |
| ctlg\_master\_id | bigint    | Key to join with catalog\_master table         |
| account\_id      | bigint    | Intentwise Account Identifier                  |
| asin             | varchar   | ASIN Value                                     |

### Catalog Item Product Type

Table: catalog\_item\_product\_types

Catalog Item Product Type details for an Amazon catalog item.

Note: This table can be used in conjunction with catalog\_item\_summary and catalog\_master. Use **ctlg\_master\_id** as the join condition

| Column Name      | Data type | Description                            |
| ---------------- | --------- | -------------------------------------- |
| product\_type    | varchar   | Product Type                           |
| ctlg\_master\_id | bigint    | Key to join with catalog\_master table |
| account\_id      | bigint    | Intentwise Account Identifier          |
| asin             | varchar   | ASIN Value                             |

### Catalog Item Sales Ranks

Table: catalog\_item\_sales\_ranks

Catalog Item Sales Rank details for an Amazon catalog item.

Note: This table can be used in conjunction with catalog\_item\_summary and catalog\_master. Use **ctlg\_master\_id** as the join condition

<table><thead><tr><th>Column Name</th><th width="240.2000732421875">Data type</th><th>Description</th></tr></thead><tbody><tr><td>title</td><td>varchar</td><td>Name of the sales rank.</td></tr><tr><td>link</td><td>varchar</td><td>Corresponding Amazon retail website URL for the sales category.</td></tr><tr><td>rank</td><td>integer</td><td>Sales rank.</td></tr><tr><td>classification_id</td><td>varchar</td><td>Identifier of the classification that is associated with the sales rank.</td></tr><tr><td>website_display_group</td><td>varchar</td><td>The identifier of the website display group that is associated with the Amazon catalog item.</td></tr><tr><td>ctlg_master_id</td><td>bigint</td><td>Key to join with catalog_master table</td></tr><tr><td>account_id</td><td>bigint</td><td>Intentwise Account Identifier</td></tr><tr><td>asin</td><td>varchar</td><td>ASIN Value</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intentwise.com/iac-source-data/data-models/amazon-source-data/others.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
